package com.lovecoding.day04;


/**
 * @author WanJl
 * @version 1.0
 * @title Demo06
 * @description 判断素数
 * 给定整数 17，使用循环和分支语句判断它是否为素数。素数定义为大于1的自然数中，除了1和它本身外不再有其他因数。 是素数输出 yes，不是输出 no。
 * @create 2026/7/10
 */
public class Demo06 {
    public static void main(String[] args) {
        int n=17;
        boolean b=n>1;      //判断这个数是否大于1
        for (int i = 2; i <=n ; i++) {  //循环可能出现的所有除数，不能包括 1
            if (n%i==0){
                b=false;    //不是素数
                break;  //结束循环
            }
        }
        System.out.println(b?"no":"yes");
    }
}

